/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/core/system/yield.hpp

*/

#ifndef SGX_SYSTEM_SYSTEM_YIELD_HPP
#define SGX_SYSTEM_SYSTEM_YIELD_HPP	1

void sgxSleep(const tREAL32 t);
void sgxYield();
void sgxYieldWait(const tREAL32 t);

#endif /* SGX_SYSTEM_SYSTEM_YIELD_HPP */
